iterator_info_s(3)

NAME
iterator_info_s - Holds iterator information containing functions which should be called by the iterator_handler to loop over your data set and sort it in a SNMP specific manner.

SYNOPSIS

  Data Fields
netsnmp_container c
Netsnmp_Iterator_Loop_Key * get_first
Netsnmp_Iterator_Loop_Key * get_next
Netsnmp_Iterator_Loop_Data * get_data
Netsnmp_Iterator_Data * free_user_ctx
Netsnmp_Iterator_Ctx * init_loop_ctx
Netsnmp_Iterator_Ctx * cleanup_loop_ctx
Netsnmp_Iterator_Ctx_Dup * save_pos
Netsnmp_Iterator_Data * release_data
Netsnmp_Iterator_Data * insert_data
Netsnmp_Iterator_Data * remove_data
Netsnmp_Iterator_Op * get_size
int sorted
void * user_ctx
This can be used by client handlers to store any information they need.

Detailed Description

Holds iterator information containing functions which should be called by the iterator_handler to loop over your data set and sort it in a SNMP specific manner. The iterator_info typedef can be used instead of directly calling this struct if you would prefer.

Definition at line 43 of file container_iterator.c.

Field Documentation

  void* iterator_info_s::user_ctx

This can be used by client handlers to store any information they need.

Definition at line 73 of file container_iterator.c.

Referenced by netsnmp_container_iterator_get().

Author

Generated automatically by Doxygen for net-snmp from the source code.